CfnFlowSource L1 construct
The AWS::MediaConnect::FlowSource resource is usedt to add additional sources to an existing flow.
Adding an additional source requires Failover to be enabled. When you enable Failover, the additional source must use the same protocol as the existing source. A source is the external video content that includes configuration information (encryption and source type) and a network address. Each flow has at least one source. A standard source comes from a source other than another AWS Elemental MediaConnect flow, such as an on-premises encoder.
Example
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import { aws_mediaconnect as mediaconnect } from 'aws-cdk-lib';
const cfnFlowSource = new mediaconnect.CfnFlowSource(this, 'MyCfnFlowSource', {
description: 'description',
flowArn: 'flowArn',
name: 'name',
// the properties below are optional
decryption: {
roleArn: 'roleArn',
// the properties below are optional
algorithm: 'algorithm',
constantInitializationVector: 'constantInitializationVector',
deviceId: 'deviceId',
keyType: 'keyType',
region: 'region',
resourceId: 'resourceId',
secretArn: 'secretArn',
url: 'url',
},
entitlementArn: 'entitlementArn',
gatewayBridgeSource: {
bridgeArn: 'bridgeArn',
// the properties below are optional
vpcInterfaceAttachment: {
vpcInterfaceName: 'vpcInterfaceName',
},
},
ingestPort: 123,
maxBitrate: 123,
maxLatency: 123,
minLatency: 123,
protocol: 'protocol',
senderControlPort: 123,
senderIpAddress: 'senderIpAddress',
sourceListenerAddress: 'sourceListenerAddress',
sourceListenerPort: 123,
streamId: 'streamId',
tags: [{
key: 'key',
value: 'value',
}],
vpcInterfaceName: 'vpcInterfaceName',
whitelistCidr: 'whitelistCidr',
});
from aws_cdk import CfnTag
# The code below shows an example of how to instantiate this type.
# The values are placeholders you should change.
from aws_cdk import aws_mediaconnect as mediaconnect
cfn_flow_source = mediaconnect.CfnFlowSource(self, "MyCfnFlowSource",
description="description",
flow_arn="flowArn",
name="name",
# the properties below are optional
decryption=mediaconnect.CfnFlowSource.EncryptionProperty(
role_arn="roleArn",
# the properties below are optional
algorithm="algorithm",
constant_initialization_vector="constantInitializationVector",
device_id="deviceId",
key_type="keyType",
region="region",
resource_id="resourceId",
secret_arn="secretArn",
url="url"
),
entitlement_arn="entitlementArn",
gateway_bridge_source=mediaconnect.CfnFlowSource.GatewayBridgeSourceProperty(
bridge_arn="bridgeArn",
# the properties below are optional
vpc_interface_attachment=mediaconnect.CfnFlowSource.VpcInterfaceAttachmentProperty(
vpc_interface_name="vpcInterfaceName"
)
),
ingest_port=123,
max_bitrate=123,
max_latency=123,
min_latency=123,
protocol="protocol",
sender_control_port=123,
sender_ip_address="senderIpAddress",
source_listener_address="sourceListenerAddress",
source_listener_port=123,
stream_id="streamId",
tags=[CfnTag(
key="key",
value="value"
)],
vpc_interface_name="vpcInterfaceName",
whitelist_cidr="whitelistCidr"
)
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import software.amazon.awscdk.services.mediaconnect.*;
CfnFlowSource cfnFlowSource = CfnFlowSource.Builder.create(this, "MyCfnFlowSource")
.description("description")
.flowArn("flowArn")
.name("name")
// the properties below are optional
.decryption(EncryptionProperty.builder()
.roleArn("roleArn")
// the properties below are optional
.algorithm("algorithm")
.constantInitializationVector("constantInitializationVector")
.deviceId("deviceId")
.keyType("keyType")
.region("region")
.resourceId("resourceId")
.secretArn("secretArn")
.url("url")
.build())
.entitlementArn("entitlementArn")
.gatewayBridgeSource(GatewayBridgeSourceProperty.builder()
.bridgeArn("bridgeArn")
// the properties below are optional
.vpcInterfaceAttachment(VpcInterfaceAttachmentProperty.builder()
.vpcInterfaceName("vpcInterfaceName")
.build())
.build())
.ingestPort(123)
.maxBitrate(123)
.maxLatency(123)
.minLatency(123)
.protocol("protocol")
.senderControlPort(123)
.senderIpAddress("senderIpAddress")
.sourceListenerAddress("sourceListenerAddress")
.sourceListenerPort(123)
.streamId("streamId")
.tags(List.of(CfnTag.builder()
.key("key")
.value("value")
.build()))
.vpcInterfaceName("vpcInterfaceName")
.whitelistCidr("whitelistCidr")
.build();
// Install: dotnet add package Amazon.CDK.Lib
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
using Amazon.CDK.AWS.MediaConnect;
var cfnFlowSource = new CfnFlowSource(this, "MyCfnFlowSource", new CfnFlowSourceProps {
Description = "description",
FlowArn = "flowArn",
Name = "name",
// the properties below are optional
Decryption = new EncryptionProperty {
RoleArn = "roleArn",
// the properties below are optional
Algorithm = "algorithm",
ConstantInitializationVector = "constantInitializationVector",
DeviceId = "deviceId",
KeyType = "keyType",
Region = "region",
ResourceId = "resourceId",
SecretArn = "secretArn",
Url = "url"
},
EntitlementArn = "entitlementArn",
GatewayBridgeSource = new GatewayBridgeSourceProperty {
BridgeArn = "bridgeArn",
// the properties below are optional
VpcInterfaceAttachment = new VpcInterfaceAttachmentProperty {
VpcInterfaceName = "vpcInterfaceName"
}
},
IngestPort = 123,
MaxBitrate = 123,
MaxLatency = 123,
MinLatency = 123,
Protocol = "protocol",
SenderControlPort = 123,
SenderIpAddress = "senderIpAddress",
SourceListenerAddress = "sourceListenerAddress",
SourceListenerPort = 123,
StreamId = "streamId",
Tags = new [] { new CfnTag {
Key = "key",
Value = "value"
} },
VpcInterfaceName = "vpcInterfaceName",
WhitelistCidr = "whitelistCidr"
});
// Install: go get github.com/aws/aws-cdk-go/awscdk/v2
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import "github.com/aws/aws-cdk-go/awscdk"
cfnFlowSource := awscdk.Aws_mediaconnect.NewCfnFlowSource(this, jsii.String("MyCfnFlowSource"), &CfnFlowSourceProps{
Description: jsii.String("description"),
FlowArn: jsii.String("flowArn"),
Name: jsii.String("name"),
// the properties below are optional
Decryption: &EncryptionProperty{
RoleArn: jsii.String("roleArn"),
// the properties below are optional
Algorithm: jsii.String("algorithm"),
ConstantInitializationVector: jsii.String("constantInitializationVector"),
DeviceId: jsii.String("deviceId"),
KeyType: jsii.String("keyType"),
Region: jsii.String("region"),
ResourceId: jsii.String("resourceId"),
SecretArn: jsii.String("secretArn"),
Url: jsii.String("url"),
},
EntitlementArn: jsii.String("entitlementArn"),
GatewayBridgeSource: &GatewayBridgeSourceProperty{
BridgeArn: jsii.String("bridgeArn"),
// the properties below are optional
VpcInterfaceAttachment: &VpcInterfaceAttachmentProperty{
VpcInterfaceName: jsii.String("vpcInterfaceName"),
},
},
IngestPort: jsii.Number(123),
MaxBitrate: jsii.Number(123),
MaxLatency: jsii.Number(123),
MinLatency: jsii.Number(123),
Protocol: jsii.String("protocol"),
SenderControlPort: jsii.Number(123),
SenderIpAddress: jsii.String("senderIpAddress"),
SourceListenerAddress: jsii.String("sourceListenerAddress"),
SourceListenerPort: jsii.Number(123),
StreamId: jsii.String("streamId"),
Tags: []CfnTag{
&CfnTag{
Key: jsii.String("key"),
Value: jsii.String("value"),
},
},
VpcInterfaceName: jsii.String("vpcInterfaceName"),
WhitelistCidr: jsii.String("whitelistCidr"),
})
Initializer
new CfnFlowSource(scope: Construct, id: string, props: CfnFlowSourceProps)
CfnFlowSource(scope: Construct, id: str, props: CfnFlowSourceProps)
new CfnFlowSource(Construct scope, String id, CfnFlowSourceProps props)
new CfnFlowSource(Construct scope, string id, CfnFlowSourceProps props)
NewCfnFlowSource(Scope Construct, Id *string, Props CfnFlowSourceProps)
Construct Props
decryptionoptionalIResolvable | CfnFlowSource.EncryptionPropertydecryptionoptionaltyping.Union[IResolvable, EncryptionProperty]decryptionoptionalIResolvableDecryptionoptionalIResolvableDecryptionoptionalinterface{}#Allowable encryption types: static-key.
This value is not used or seen outside of the current MediaConnect account.
entitlementArnoptionalstringentitlement_arnoptionalstrentitlementArnoptionalStringEntitlementArnoptionalstringEntitlementArnoptional*stringdeprecated#The entitlement is set by the flow originator, and the ARN is generated as part of the originator's flow.
The flow must have Failover enabled to add an additional source.
gatewayBridgeSourceoptionalIResolvable | CfnFlowSource.GatewayBridgeSourcePropertygateway_bridge_sourceoptionaltyping.Union[IResolvable, GatewayBridgeSourceProperty]gatewayBridgeSourceoptionalIResolvableGatewayBridgeSourceoptionalIResolvableGatewayBridgeSourceoptionalinterface{}#ingestPortoptionalnumberingest_portoptionalint | floatingestPortoptionalNumberIngestPortoptionaldoubleIngestPortoptional*float64#If the protocol of the source is Zixi, the port must be set to 2088.
maxBitrateoptionalnumbermax_bitrateoptionalint | floatmaxBitrateoptionalNumberMaxBitrateoptionaldoubleMaxBitrateoptional*float64#maxLatencyoptionalnumbermax_latencyoptionalint | floatmaxLatencyoptionalNumberMaxLatencyoptionaldoubleMaxLatencyoptional*float64#This parameter applies only to RIST-based and Zixi-based streams.
minLatencyoptionalnumbermin_latencyoptionalint | floatminLatencyoptionalNumberMinLatencyoptionaldoubleMinLatencyoptional*float64#notes
In streams that use the SRT protocol, this value that you set on your MediaConnect source or output represents the minimal potential latency of that connection. The latency of the stream is set to the highest number between the sender’s minimum latency and the receiver’s minimum latency.
protocoloptionalstringprotocoloptionalstrprotocoloptionalStringProtocoloptionalstringProtocoloptional*string#notes
Adding additional sources to an existing flow requires Failover to be enabled. When you enable Failover, the additional source must use the same protocol as the existing source. Only the following protocols support failover: Zixi-push, RTP-FEC, RTP, RIST and SRT protocols.
If you use failover with SRT caller or listener, the FailoverMode property must be set to FAILOVER . The FailoverMode property is found in the FailoverConfig resource of the same flow ARN you used for the source's FlowArn property. SRT caller/listener does not support merge mode failover.
senderControlPortoptionalnumbersender_control_portoptionalint | floatsenderControlPortoptionalNumberSenderControlPortoptionaldoubleSenderControlPortoptional*float64deprecated#senderIpAddressoptionalstringsender_ip_addressoptionalstrsenderIpAddressoptionalStringSenderIpAddressoptionalstringSenderIpAddressoptional*stringdeprecated#sourceListenerAddressoptionalstringsource_listener_addressoptionalstrsourceListenerAddressoptionalStringSourceListenerAddressoptionalstringSourceListenerAddressoptional*string#sourceListenerPortoptionalnumbersource_listener_portoptionalint | floatsourceListenerPortoptionalNumberSourceListenerPortoptionaldoubleSourceListenerPortoptional*float64#streamIdoptionalstringstream_idoptionalstrstreamIdoptionalStringStreamIdoptionalstringStreamIdoptional*string#This parameter applies only to Zixi and SRT caller-based streams.
tagsoptionalCfnTag[]tagsoptionaltyping.List[CfnTag]tagsoptionalList<CfnTag>TagsoptionalCfnTag[]Tagsoptional*[]CfnTag#vpcInterfaceNameoptionalstringvpc_interface_nameoptionalstrvpcInterfaceNameoptionalStringVpcInterfaceNameoptionalstringVpcInterfaceNameoptional*string#whitelistCidroptionalstringwhitelist_cidroptionalstrwhitelistCidroptionalStringWhitelistCidroptionalstringWhitelistCidroptional*string#These IP addresses should be in the form of a Classless Inter-Domain Routing (CIDR) block; for example, 10.0.0.0/16.
Properties
attrSourceIngestPortstringattr_source_ingest_portstrattrSourceIngestPortStringAttrSourceIngestPortstringAttrSourceIngestPort*string#If the protocol of the source is Zixi, the port must be set to 2088.
cdkTagManagerTagManagercdk_tag_managerTagManagercdkTagManagerTagManagerCdkTagManagerTagManagerCdkTagManagerTagManager#CFN_RESOURCE_TYPE_NAMEstringcfn_resource_type_namestrCFN_RESOURCE_TYPE_NAMEStringCFN_RESOURCE_TYPE_NAMEstringCFN_RESOURCE_TYPE_NAME*stringstatic#cfnOptionsICfnResourceOptionscfn_optionsICfnResourceOptionscfnOptionsICfnResourceOptionsCfnOptionsICfnResourceOptionsCfnOptionsICfnResourceOptions#cfnResourceTypestringcfn_resource_typestrcfnResourceTypeStringCfnResourceTypestringCfnResourceType*string#creationStackstring[]creation_stacktyping.List[str]creationStackList<String>CreationStackstring[]CreationStack*[]*string#decryptionmay be undefinedIResolvable | CfnFlowSource.EncryptionPropertydecryptionmay be undefinedtyping.Union[IResolvable, EncryptionProperty]decryptionmay be undefinedIResolvableDecryptionmay be undefinedIResolvableDecryptionmay be undefinedinterface{}#entitlementArnmay be undefinedstringentitlement_arnmay be undefinedstrentitlementArnmay be undefinedStringEntitlementArnmay be undefinedstringEntitlementArnmay be undefined*stringdeprecated#flowSourceRefFlowSourceReferenceflow_source_refFlowSourceReferenceflowSourceRefFlowSourceReferenceFlowSourceRefFlowSourceReferenceFlowSourceRefFlowSourceReference#gatewayBridgeSourcemay be undefinedIResolvable | CfnFlowSource.GatewayBridgeSourcePropertygateway_bridge_sourcemay be undefinedtyping.Union[IResolvable, GatewayBridgeSourceProperty]gatewayBridgeSourcemay be undefinedIResolvableGatewayBridgeSourcemay be undefinedIResolvableGatewayBridgeSourcemay be undefinedinterface{}#ingestPortmay be undefinednumberingest_portmay be undefinedint | floatingestPortmay be undefinedNumberIngestPortmay be undefineddoubleIngestPortmay be undefined*float64#The logical ID of the element is calculated from the path of the resource node in the construct tree.
To override this value, use overrideLogicalId(newLogicalId).
maxBitratemay be undefinednumbermax_bitratemay be undefinedint | floatmaxBitratemay be undefinedNumberMaxBitratemay be undefineddoubleMaxBitratemay be undefined*float64#maxLatencymay be undefinednumbermax_latencymay be undefinedint | floatmaxLatencymay be undefinedNumberMaxLatencymay be undefineddoubleMaxLatencymay be undefined*float64#minLatencymay be undefinednumbermin_latencymay be undefinedint | floatminLatencymay be undefinedNumberMinLatencymay be undefineddoubleMinLatencymay be undefined*float64#protocolmay be undefinedstringprotocolmay be undefinedstrprotocolmay be undefinedStringProtocolmay be undefinedstringProtocolmay be undefined*string#If, by any chance, the intrinsic reference of a resource is not a string, you could coerce it to an IResolvable through Lazy.any({ produce: resource.ref }).
senderControlPortmay be undefinednumbersender_control_portmay be undefinedint | floatsenderControlPortmay be undefinedNumberSenderControlPortmay be undefineddoubleSenderControlPortmay be undefined*float64deprecated#senderIpAddressmay be undefinedstringsender_ip_addressmay be undefinedstrsenderIpAddressmay be undefinedStringSenderIpAddressmay be undefinedstringSenderIpAddressmay be undefined*stringdeprecated#sourceListenerAddressmay be undefinedstringsource_listener_addressmay be undefinedstrsourceListenerAddressmay be undefinedStringSourceListenerAddressmay be undefinedstringSourceListenerAddressmay be undefined*string#sourceListenerPortmay be undefinednumbersource_listener_portmay be undefinedint | floatsourceListenerPortmay be undefinedNumberSourceListenerPortmay be undefineddoubleSourceListenerPortmay be undefined*float64#CfnElements must be defined within a stack scope (directly or indirectly).
streamIdmay be undefinedstringstream_idmay be undefinedstrstreamIdmay be undefinedStringStreamIdmay be undefinedstringStreamIdmay be undefined*string#tagsmay be undefinedCfnTag[]tagsmay be undefinedtyping.List[CfnTag]tagsmay be undefinedList<CfnTag>Tagsmay be undefinedCfnTag[]Tagsmay be undefined*[]CfnTag#vpcInterfaceNamemay be undefinedstringvpc_interface_namemay be undefinedstrvpcInterfaceNamemay be undefinedStringVpcInterfaceNamemay be undefinedstringVpcInterfaceNamemay be undefined*string#whitelistCidrmay be undefinedstringwhitelist_cidrmay be undefinedstrwhitelistCidrmay be undefinedStringWhitelistCidrmay be undefinedstringWhitelistCidrmay be undefined*string#Methods
addDeletionOverride(path: string): voiddef add_deletion_override(self, path: str) -> Nonepublic void addDeletionOverride(String path)public void AddDeletionOverride(string path)func AddDeletionOverride(Path *string)#1 parameter
Parameters
pathpathpathpathPath— The path of the value to delete.
addDependency(target: CfnResource): voiddef add_dependency(self, target: CfnResource) -> Nonepublic void addDependency(CfnResource target)public void AddDependency(CfnResource target)func AddDependency(Target CfnResource)deprecated#This method has been renamed to addResourceDependency to more clearly set it apart from construct.node.addDependency. See the documentation of that function for more details.
addDependsOn(target: CfnResource): voiddef add_depends_on(self, target: CfnResource) -> Nonepublic void addDependsOn(CfnResource target)public void AddDependsOn(CfnResource target)func AddDependsOn(Target CfnResource)deprecated#notes
This can be used for resources across stacks (or nested stack) boundaries and the dependency will automatically be transferred to the relevant scope.
This method has been renamed to addResourceDependency, which makes it more clear that this method operates at a different level from the construct-level construct.node.addDependency() mechanism.
addMetadata(key: string, value: any): voiddef add_metadata(self, key: str, value: Any) -> Nonepublic void addMetadata(String key, Object value)public void AddMetadata(string key, object value)func AddMetadata(Key *string, Value interface{})#addOverride(path: string, value: any): voiddef add_override(self, path: str, value: Any) -> Nonepublic void addOverride(String path, Object value)public void AddOverride(string path, object value)func AddOverride(Path *string, Value interface{})#notes · 2 parameters
To add a property override, either use addPropertyOverride or prefix path with "Properties." (i.e. Properties.TopicName).
If the override is nested, separate each nested level using a dot (.) in the path parameter. If there is an array as part of the nesting, specify the index in the path.
To include a literal . in the property name, prefix with a \. In most programming languages you will need to write this as "\\." because the \ itself will need to be escaped.
For example,
cfnResource.addOverride('Properties.GlobalSecondaryIndexes.0.Projection.NonKeyAttributes', ['myattribute']);
cfnResource.addOverride('Properties.GlobalSecondaryIndexes.1.ProjectionType', 'INCLUDE');
would add the overrides
"Properties": {
"GlobalSecondaryIndexes": [
{
"Projection": {
"NonKeyAttributes": [ "myattribute" ]
...
}
...
},
{
"ProjectionType": "INCLUDE"
...
},
]
...
}
The value argument to addOverride will not be processed or translated in any way. Pass raw JSON values in here with the correct capitalization for CloudFormation. If you pass CDK classes or structs, they will be rendered with lowercased key names, and CloudFormation will reject the template.
Parameters
pathpathpathpathPath— - The path of the property, you can use dot notation to override values in complex types.valuevaluevaluevalueValue— - The value.
addPropertyDeletionOverride(propertyPath: string): voiddef add_property_deletion_override(self, property_path: str) -> Nonepublic void addPropertyDeletionOverride(String propertyPath)public void AddPropertyDeletionOverride(string propertyPath)func AddPropertyDeletionOverride(PropertyPath *string)#1 parameter
Parameters
propertyPathproperty_pathpropertyPathpropertyPathPropertyPath— The path to the property.
addPropertyOverride(propertyPath: string, value: any): voiddef add_property_override(self, property_path: str, value: Any) -> Nonepublic void addPropertyOverride(String propertyPath, Object value)public void AddPropertyOverride(string propertyPath, object value)func AddPropertyOverride(PropertyPath *string, Value interface{})#Syntactic sugar for addOverride("Properties.<...>", value).
2 parameters
Parameters
propertyPathproperty_pathpropertyPathpropertyPathPropertyPath— The path of the property.valuevaluevaluevalueValue— The value.
addResourceDependency(target: CfnResource, reason?: string): voiddef add_resource_dependency(self, target: CfnResource, reason: typing.Optional[str] = None) -> Nonepublic void addResourceDependency(CfnResource target, String reason)public void AddResourceDependency(CfnResource target, string? reason = null)func AddResourceDependency(Target CfnResource, Reason *string)#notes
This can be used for resources across stacks (or nested stack) boundaries and the dependency will automatically be transferred to the relevant scope.
This method only adds dependencies between L1 resources. If you are looking for a generic construct-to-construct dependency mechanism that works for all constructs including L2s, use construct.node.addDependency instead.
applyCrossStackReferenceStrength(strength: ReferenceStrength): voiddef apply_cross_stack_reference_strength(self, strength: ReferenceStrength) -> Nonepublic void applyCrossStackReferenceStrength(ReferenceStrength strength)public void ApplyCrossStackReferenceStrength(ReferenceStrength strength)func ApplyCrossStackReferenceStrength(Strength ReferenceStrength)#When set, any cross-stack reference to this resource will use the specified strength instead of the global default from the consuming stack's context.
1 parameter
Parameters
strengthstrengthstrengthstrengthStrength— - The reference strength to use for this resource.
applyRemovalPolicy(policy?: RemovalPolicy, options?: RemovalPolicyOptions): voiddef apply_removal_policy(self, policy: typing.Optional[RemovalPolicy] = None, options: typing.Optional[RemovalPolicyOptions] = None) -> Nonepublic void applyRemovalPolicy(RemovalPolicy policy, RemovalPolicyOptions options)public void ApplyRemovalPolicy(RemovalPolicy? policy = null, RemovalPolicyOptions? options = null)func ApplyRemovalPolicy(Policy RemovalPolicy, Options RemovalPolicyOptions)#notes
The Removal Policy controls what happens to this resource when it stops being managed by CloudFormation, either because you've removed it from the CDK application or because you've made a change that requires the resource to be replaced.
The resource can be deleted (RemovalPolicy.DESTROY), or left in your AWS account for data recovery and cleanup later (RemovalPolicy.RETAIN). In some cases, a snapshot can be taken of the resource prior to deletion (RemovalPolicy.SNAPSHOT). A list of resources that support this policy can be found in the following link:
cfnPropertyName(cdkPropertyName: string): stringdef cfn_property_name(self, cdk_property_name: str) -> strpublic String cfnPropertyName(String cdkPropertyName)public string CfnPropertyName(string cdkPropertyName)func CfnPropertyName(CdkPropertyName *string) *string#getAtt(attributeName: string, typeHint?: ResolutionTypeHint): Referencedef get_att(self, attribute_name: str, type_hint: typing.Optional[ResolutionTypeHint] = None) -> Referencepublic Reference getAtt(String attributeName, ResolutionTypeHint typeHint)public Reference GetAtt(string attributeName, ResolutionTypeHint? typeHint = null)func GetAtt(AttributeName *string, TypeHint ResolutionTypeHint) Reference#Ideally, use generated attribute accessors (e.g. resource.arn), but this can be used for future compatibility in case there is no generated attribute.
1 parameter
Parameters
attributeNameattribute_nameattributeNameattributeNameAttributeName— The name of the attribute.
getMetadata(key: string): anydef get_metadata(self, key: str) -> Anypublic Object getMetadata(String key)public object GetMetadata(string key)func GetMetadata(Key *string) interface{}#inspect(inspector: TreeInspector): voiddef inspect(self, inspector: TreeInspector) -> Nonepublic void inspect(TreeInspector inspector)public void Inspect(TreeInspector inspector)func Inspect(Inspector TreeInspector)#1 parameter
Parameters
inspectorinspectorinspectorinspectorInspector— tree inspector to collect and process attributes.
isCfnElement(x: any): boolean@staticmethod def is_cfn_element(x: Any) -> boolpublic static Boolean isCfnElement(Object x)public static bool IsCfnElement(object x)func IsCfnElement(X interface{}) *boolstatic#Uses duck-typing instead of instanceof to allow stack elements from different versions of this library to be included in the same stack.
returns
Returns: The construct as a stack element or undefined if it is not a stack element.
isCfnFlowSource(x: any): boolean@staticmethod def is_cfn_flow_source(x: Any) -> boolpublic static Boolean isCfnFlowSource(Object x)public static bool IsCfnFlowSource(object x)func IsCfnFlowSource(X interface{}) *boolstatic#isCfnResource(x: any): boolean@staticmethod def is_cfn_resource(x: Any) -> boolpublic static Boolean isCfnResource(Object x)public static bool IsCfnResource(object x)func IsCfnResource(X interface{}) *boolstatic#isConstruct(x: any): boolean@staticmethod def is_construct(x: Any) -> boolpublic static Boolean isConstruct(Object x)public static bool IsConstruct(object x)func IsConstruct(X interface{}) *boolstatic#notes · 1 parameter · returns
Use this method instead of instanceof to properly detect Construct instances, even when the construct library is symlinked.
Explanation: in JavaScript, multiple copies of the constructs library on disk are seen as independent, completely different libraries. As a consequence, the class Construct in each copy of the constructs library is seen as a different class, and an instance of one class will not test as instanceof the other class. npm install will not create installations like this, but users may manually symlink construct libraries together or use a monorepo tool: in those cases, multiple copies of the constructs library can be accidentally installed, and instanceof will behave unpredictably. It is safest to avoid using instanceof, and using this type-testing method instead.
Parameters
xxxxX— Any object.
Returns: true if x is an object created from a class which extends Construct.
obtainDependencies(): Stack | CfnResource[]def obtain_dependencies(self, ) -> typing.List[typing.Union[Stack, CfnResource]]public List<Stack> obtainDependencies()public Stack[] ObtainDependencies()func ObtainDependencies() *[]interface{}#For resources depended on directly, returns the CfnResource object. For dependencies on other stacks, returns the Stack object. The order of the array is not guaranteed.
overrideLogicalId(newLogicalId: string): voiddef override_logical_id(self, new_logical_id: str) -> Nonepublic void overrideLogicalId(String newLogicalId)public void OverrideLogicalId(string newLogicalId)func OverrideLogicalId(NewLogicalId *string)#1 parameter
Parameters
newLogicalIdnew_logical_idnewLogicalIdnewLogicalIdNewLogicalId— The new logical ID to use for this stack element.
removeDependency(target: CfnResource): voiddef remove_dependency(self, target: CfnResource) -> Nonepublic void removeDependency(CfnResource target)public void RemoveDependency(CfnResource target)func RemoveDependency(Target CfnResource)deprecated#This can be used for resources across stacks (including nested stacks) and the dependency will automatically be removed from the relevant scope.
removeResourceDependency(target: CfnResource): voiddef remove_resource_dependency(self, target: CfnResource) -> Nonepublic void removeResourceDependency(CfnResource target)public void RemoveResourceDependency(CfnResource target)func RemoveResourceDependency(Target CfnResource)#This can be used for resources across stacks (including nested stacks) and the dependency will automatically be removed from the relevant scope.
replaceDependency(target: CfnResource, newTarget: CfnResource): voiddef replace_dependency(self, target: CfnResource, new_target: CfnResource) -> Nonepublic void replaceDependency(CfnResource target, CfnResource newTarget)public void ReplaceDependency(CfnResource target, CfnResource newTarget)func ReplaceDependency(Target CfnResource, NewTarget CfnResource)#2 parameters
Parameters
targettargettargettargetTarget— The dependency to replace.newTargetnew_targetnewTargetnewTargetNewTarget— The new dependency to add.
toString(): stringdef to_string(self, ) -> strpublic String toString()public string ToString()func ToString() *string#returns
Returns: a string representation of this resource
with(...mixins: IMixin[]): IConstructdef with(self, mixins: IMixin) -> IConstructpublic IConstruct with(IMixin mixins)public IConstruct With(IMixin mixins)func With(Mixins IMixin) IConstruct#Mixins are applied in order. The list of constructs is captured at the start of the call, so constructs added by a mixin will not be visited. Use multiple with() calls if subsequent mixins should apply to added constructs.